ubiquity crashed with Exception in read_step() while guessing keyboard-layout

Bug #553087 reported by Bernard Decock on 2010-04-01
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
High
Evan

Bug Description

Binary package hint: ubiquity

After selecting the language and setting the time-zone, I tested if ubiquity could guess
the layout of the keyboard. A dialog popped up requesting me to enter some characters
(eg. + n y ....). Nothing happened. I stopped the installation to catch the debug-log
in /var/log/installer

Ubiquity 2.2.11
/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py:558: GtkWarning: gtk_window_resize: assertion `width > 0' failed
  widget.resize(w, h)
locale.setlocale failed: unsupported locale setting (LANG=nl_BE.UTF-8)
Exception in GTK frontend (invoking crash handler):
Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/gtk_components/keyboard_query.py", line 100, in key_press_event
    r = self.keyboard_detect.read_step(c)
  File "/usr/lib/ubiquity/ubiquity/keyboard_detector.py", line 96, in read_step
    raise Exception
Exception

Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/gtk_components/keyboard_query.py", line 100, in key_press_event
    r = self.keyboard_detect.read_step(c)
  File "/usr/lib/ubiquity/ubiquity/keyboard_detector.py", line 96, in read_step
    raise Exception
Exception
Exception in GTK frontend (invoking crash handler):
Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/gtk_components/keyboard_query.py", line 100, in key_press_event
    r = self.keyboard_detect.read_step(c)
  File "/usr/lib/ubiquity/ubiquity/keyboard_detector.py", line 96, in read_step
    raise Exception
Exception

Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/gtk_components/keyboard_query.py", line 100, in key_press_event
    r = self.keyboard_detect.read_step(c)
  File "/usr/lib/ubiquity/ubiquity/keyboard_detector.py", line 96, in read_step
    raise Exception
Exception
Exception in GTK frontend (invoking crash handler):
Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/gtk_components/keyboard_query.py", line 100, in key_press_event
    r = self.keyboard_detect.read_step(c)
  File "/usr/lib/ubiquity/ubiquity/keyboard_detector.py", line 96, in read_step
    raise Exception
Exception

Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/gtk_components/keyboard_query.py", line 100, in key_press_event
    r = self.keyboard_detect.read_step(c)
  File "/usr/lib/ubiquity/ubiquity/keyboard_detector.py", line 96, in read_step
    raise Exception
Exception

ProblemType: Crash
DistroRelease: Ubuntu 10.04
Package: ubiquity 2.2.11
ProcVersionSignature: Ubuntu 2.6.32-18.27-generic 2.6.32.10+drm33.1
Uname: Linux 2.6.32-18-generic i686
Architecture: i386
Date: Thu Apr 1 09:14:44 2010
ExecutablePath: /usr/lib/ubiquity/bin/ubiquity
InterpreterPath: /usr/bin/python2.6
LiveMediaBuild: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100331.2)
ProcCmdline: /usr/bin/python /usr/lib/ubiquity/bin/ubiquity --only
ProcEnviron: Error: [Errno 13] Permission denied: '/proc/2190/environ'
PythonArgs: ['/usr/lib/ubiquity/bin/ubiquity', '--only']
SourcePackage: ubiquity
Title: ubiquity crashed with Exception in read_step()
UserGroups:

Bernard Decock (decockbernard) wrote :
visibility: private → public
Bernard Decock (decockbernard) wrote :
Download full text (5.7 KiB)

Another example of the crash (when one selects guess keyboard-layout)

Ubiquity 2.2.11
/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py:558: GtkWarning: gtk_window_resize: assertion `width > 0' failed
  widget.resize(w, h)
locale.setlocale failed: unsupported locale setting (LANG=nl_NL.UTF-8)
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
 LANGUAGE = "nl_NL.UTF-8",
 LC_ALL = (unset),
 LANG = "nl_NL.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
locale.setlocale failed: unsupported locale setting (LANG=nl_BE.UTF-8)
Exception in GTK frontend (invoking crash handler):
Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/gtk_components/keyboard_query.py", line 100, in key_press_event
    r = self.keyboard_detect.read_step(c)
  File "/usr/lib/ubiquity/ubiquity/keyboard_detector.py", line 96, in read_step
    raise Exception
Exception

Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/gtk_components/keyboard_query.py", line 100, in key_press_event
    r = self.keyboard_detect.read_step(c)
  File "/usr/lib/ubiquity/ubiquity/keyboard_detector.py", line 96, in read_step
    raise Exception
Exception
/usr/lib/ubiquity/plugins/ubi-timezone.py:215: GtkWarning: gtk_tree_path_append_index: assertion `index >= 0' failed
  if m[i][1]:
/usr/lib/ubiquity/plugins/ubi-timezone.py:215: GtkWarning: gtk_tree_model_get_iter: assertion `path->depth > 0' failed
  if m[i][1]:
Exception in GTK frontend (invoking crash handler):
Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/plugin.py", line 44, in wrapper
    return target(self, *args, **kwargs)
  File "/usr/lib/ubiquity/plugins/ubi-timezone.py", line 215, in on_region_combo_changed
    if m[i][1]:
IndexError: could not find tree path

Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/plugin.py", line 44, in wrapper
    return target(self, *args, **kwargs)
  File "/usr/lib/ubiquity/plugins/ubi-timezone.py", line 215, in on_region_combo_changed
    if m[i][1]:
IndexError: could not find tree path
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
 LANGUAGE = "nl_BE.UTF-8",
 LC_ALL = (unset),
 LANG = "nl_BE.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
 LANGUAGE = "nl_BE.UTF-8",
 LC_ALL = (unset),
 LANG = "nl_BE.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or dire...

Read more...

Bernard Decock (decockbernard) wrote :
Download full text (5.4 KiB)

Still crashing with daily build 18-Apr-2010 08:32.

Contents of /var/log/installer

Ubiquity 2.2.18
/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py:562: GtkWarning: gtk_window_resize: assertion `width > 0' failed
  widget.resize(w, h)
locale.setlocale failed: unsupported locale setting (LANG=nl_NL.UTF-8)
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
 LANGUAGE = "nl_NL.UTF-8",
 LC_ALL = (unset),
 LANG = "nl_NL.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
locale.setlocale failed: unsupported locale setting (LANG=nl_BE.UTF-8)
Exception in GTK frontend (invoking crash handler):
Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/gtk_components/keyboard_query.py", line 100, in key_press_event
    r = self.keyboard_detect.read_step(c)
  File "/usr/lib/ubiquity/ubiquity/keyboard_detector.py", line 96, in read_step
    raise Exception
Exception

Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/gtk_components/keyboard_query.py", line 100, in key_press_event
    r = self.keyboard_detect.read_step(c)
  File "/usr/lib/ubiquity/ubiquity/keyboard_detector.py", line 96, in read_step
    raise Exception
Exception
Exception in GTK frontend (invoking crash handler):
Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/gtk_components/keyboard_query.py", line 100, in key_press_event
    r = self.keyboard_detect.read_step(c)
  File "/usr/lib/ubiquity/ubiquity/keyboard_detector.py", line 96, in read_step
    raise Exception
Exception

Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/gtk_components/keyboard_query.py", line 100, in key_press_event
    r = self.keyboard_detect.read_step(c)
  File "/usr/lib/ubiquity/ubiquity/keyboard_detector.py", line 96, in read_step
    raise Exception
Exception
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
 LANGUAGE = "nl_BE.UTF-8",
 LC_ALL = (unset),
 LANG = "nl_BE.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
 LANGUAGE = "nl_BE.UTF-8",
 LC_ALL = (unset),
 LANG = "nl_BE.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
locale: Cannot set LC_CTYPE to default locale: No such file or directory
local...

Read more...

Bernard Decock (decockbernard) wrote :

Bug can also be generated when no foreign language is selected

Ubiquity 2.2.18
/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py:562: GtkWarning: gtk_window_resize: assertion `width > 0' failed
  widget.resize(w, h)
Exception in GTK frontend (invoking crash handler):
Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/gtk_components/keyboard_query.py", line 100, in key_press_event
    r = self.keyboard_detect.read_step(c)
  File "/usr/lib/ubiquity/ubiquity/keyboard_detector.py", line 96, in read_step
    raise Exception
Exception

Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/gtk_components/keyboard_query.py", line 100, in key_press_event
    r = self.keyboard_detect.read_step(c)
  File "/usr/lib/ubiquity/ubiquity/keyboard_detector.py", line 96, in read_step
    raise Exception
Exception
Your console font configuration will be updated the next time your system
boots. If you want to update it now, run 'setupcon' from a virtual console.
update-initramfs is disabled since running on read-only media

Bernard Decock (decockbernard) wrote :
Download full text (5.4 KiB)

Ubiquity 2.2.20
/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py:562: GtkWarning: gtk_window_resize: assertion `width > 0' failed
  widget.resize(w, h)
locale.setlocale failed: unsupported locale setting (LANG=nl_NL.UTF-8)
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
 LANGUAGE = "nl_NL.UTF-8",
 LC_ALL = (unset),
 LANG = "nl_NL.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
locale.setlocale failed: unsupported locale setting (LANG=nl_BE.UTF-8)
Exception in GTK frontend (invoking crash handler):
Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/gtk_components/keyboard_query.py", line 100, in key_press_event
    r = self.keyboard_detect.read_step(c)
  File "/usr/lib/ubiquity/ubiquity/keyboard_detector.py", line 96, in read_step
    raise Exception
Exception

Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/gtk_components/keyboard_query.py", line 100, in key_press_event
    r = self.keyboard_detect.read_step(c)
  File "/usr/lib/ubiquity/ubiquity/keyboard_detector.py", line 96, in read_step
    raise Exception
Exception
Exception in GTK frontend (invoking crash handler):
Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/gtk_components/keyboard_query.py", line 100, in key_press_event
    r = self.keyboard_detect.read_step(c)
  File "/usr/lib/ubiquity/ubiquity/keyboard_detector.py", line 96, in read_step
    raise Exception
Exception

Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/gtk_components/keyboard_query.py", line 100, in key_press_event
    r = self.keyboard_detect.read_step(c)
  File "/usr/lib/ubiquity/ubiquity/keyboard_detector.py", line 96, in read_step
    raise Exception
Exception
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
 LANGUAGE = "nl_BE.UTF-8",
 LC_ALL = (unset),
 LANG = "nl_BE.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
 LANGUAGE = "nl_BE.UTF-8",
 LC_ALL = (unset),
 LANG = "nl_BE.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Canno...

Read more...

tags: added: iso-testing
Evan (ev) wrote :

Can you please click on "Try Ubuntu", then once at the destkop, open /usr/lib/ubiquity/ubiquity/keyboard_detector.py in an editor as root (`gksu gedit`). Go to line 35, where it says "line = self.fp.readline()", and change it to:

line = self.fp.readline(); print step, line

Run the installer again, reproducing the bug as you did before, then attach /var/log/installer/debug to this bug report.

Thanks!

Evan (ev) on 2010-04-21
Changed in ubiquity (Ubuntu):
status: New → Incomplete
Bernard Decock (decockbernard) wrote :
Download full text (11.5 KiB)

Evan, I changed the line as you suggested. Then I started the installer (language english), forward, forward until the keyboard.layout.

The first time I used guess keyboard, a number of questions were asked (see below
in the debugtrace). As the keyboardlayout was not guessed ok (french was suggested which is not ok), I immediatedly retried the guess. As soon as I pressed
the pluskey, the installer crashed.

Ubiquity 2.2.20
/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py:562: GtkWarning: gtk_window_resize: assertion `width > 0' failed
  widget.resize(w, h)
Your console font configuration will be updated the next time your system
boots. If you want to update it now, run 'setupcon' from a virtual console.
update-initramfs is disabled since running on read-only media
Ubiquity 2.2.20
/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py:562: GtkWarning: gtk_window_resize: assertion `width > 0' failed
  widget.resize(w, h)
0 STEP 0

0 PRESS +

0 PRESS у

0 PRESS υ

0 PRESS г

0 PRESS n

0 PRESS γ

0 PRESS u

0 PRESS ה

0 PRESS v

0 PRESS y

0 PRESS ν

0 CODE 2 1

0 CODE 4 6

0 CODE 5 9

0 CODE 12 10

0 CODE 13 19

0 CODE 17 7

0 CODE 18 38

0 CODE 20 61

0 CODE 21 62

0 CODE 22 95

0 CODE 23 103

0 CODE 26 74

0 CODE 27 104

0 CODE 30 103

0 CODE 33 61

0 CODE 34 108

0 CODE 35 7

0 CODE 38 61

0 CODE 39 103

0 CODE 41 103

0 CODE 43 77

0 CODE 44 97

0 CODE 46 103

0 CODE 47 95

0 CODE 49 95

0 CODE 52 61

0 CODE 53 79

0 STEP 1

62 PRESS z

62 CODE 44 2

62 CODE 21 3

62 STEP 3

62 PRESS é

62 CODE 11 4

62 CODE 39 5

62 STEP 6

62 PRESS z

62 CODE 44 7

62 CODE 21 8

62 STEP 10

62 FINDP å

62 YES 12

62 NO 11

62 STEP 12

62 FINDP ä

62 YES 16

62 NO 13

62 STEP 19

62 PRESS q

62 CODE 16 20

62 CODE 30 56

62 STEP 20

62 PRESS z

62 PRESS ζ

62 CODE 44 21

62 CODE 21 55

62 STEP 21

62 FINDP ș

62 YES 54

62 NO 22

62 STEP 22

62 FINDP é

62 YES 53

62 NO 23

62 STEP 23

62 FINDP ç

62 YES 52

62 NO 24

62 STEP 24

62 FINDP š

62 YES 51

62 NO 25

62 STEP 56

62 FINDP œ

62 YES 60

62 NO 57

62 STEP 57

62 FINDP ä

62 YES 59

62 NO 58

62 STEP 62

62 PRESS ω

62 PRESS w

62 CODE 16 63

62 CODE 17 80

62 CODE 44 92

62 CODE 30 58

62 CODE 47 48

62 STEP 63

92 PRESS q

92 CODE 16 64

92 CODE 30 79

92 STEP 104

92 PRESS y

92 PRESS v

92 PRESS u

92 PRESS n

92 PRESS ω

92 PRESS w

92 CODE 33 61

92 CODE 38 61

92 CODE 17 105

92 CODE 44 101

92 CODE 47 105

92 CODE 16 105

92 CODE 49 105

92 CODE 51 61

92 CODE 20 61

92 CODE 21 106

92 CODE 22 105

92 CODE 52 61

92 STEP 105

92 PRESS z

92 CODE 44 106

92 CODE 21 101

92 STEP 106

92 FINDP ç

92 YES 107

92 NO 70

92 STEP 107

92 PRESS ç

92 CODE 43 72

92 CODE 39 75

92 STEP 108

92 FINDP ч

92 YES 46

92 NO 48

92 STEP 103

92 MAP tr:f

92 STEP 95

92 PRESS ω

92 PRESS w

92 CODE 16 96

92 CODE 17 102

92 CODE 44 92

92 CODE 30 58

92 CODE 47 48

92 STEP 96

92 PRESS z

92 CODE 17 79

92 CODE 44 64

92 CODE 21 97

92 STEP 64

92 FINDP ö

92 YES 76

92 NO 65

92 STEP 65

92 FINDP ç

92 YES 71

92 NO 66

92 STEP 66

92 FINDP æ

92 YES 13

92 NO 67

92 STEP 67

92 FINDP ä

92 YES 2

92 NO 68

92 STEP 68

92 FINDP ñ

92 YES 70

92 NO 69

92 STEP 69

92 FINDP æ

92 YES 50

92 NO 43

92 STEP 71

92 PRE...

Bernard Decock (decockbernard) wrote :
Download full text (3.4 KiB)

Something weird. When I enter System->Preferences->Keyboard after the crash, the
keyboard-layout is set to Belgium (as I set before I started the installation). However the keyboard is not set to that layout (instead the guessed layout is being used). I have to add the proper layout (belgium) and to remove the former selected layout (belgium).

If I retry the installation (forward, forward, ...) en press the + key as the first key, ubiquity crashes immediately --- no entries added in /var/log/ ... ?? --- see syslog below

Apr 22 06:22:13 ubuntu os-prober: debug: os detected by /usr/lib/os-probes/50mounted-tests
Apr 22 06:22:13 ubuntu ubiquity[5395]: debconffilter_done: ubi-timezone (current: ubi-timezone)
Apr 22 06:22:13 ubuntu ubiquity[5395]: Step_before = stepLocation
Apr 22 06:22:14 ubuntu ubiquity[5395]: log-output -t ubiquity setxkbmap -model pc105 -layout us -option
Apr 22 06:22:14 ubuntu ubiquity[5395]: switched to page console_setup
Apr 22 06:22:21 ubuntu ubiquity[5395]: Exception in GTK frontend (invoking crash handler):
Apr 22 06:22:21 ubuntu ubiquity[5395]: Traceback (most recent call last):
Apr 22 06:22:21 ubuntu ubiquity[5395]: File "/usr/lib/ubiquity/ubiquity/frontend/gtk_components/keyboard_query.py", line 100, in key_press_event
Apr 22 06:22:21 ubuntu ubiquity[5395]: r = self.keyboard_detect.read_step(c)
Apr 22 06:22:21 ubuntu ubiquity[5395]: File "/usr/lib/ubiquity/ubiquity/keyboard_detector.py", line 96, in read_step
Apr 22 06:22:21 ubuntu ubiquity[5395]: raise Exception
Apr 22 06:22:21 ubuntu ubiquity[5395]: Exception
Apr 22 06:22:21 ubuntu ubiquity[5395]:

or user.log

Apr 22 06:22:13 ubuntu 50mounted-tests: debug: /dev/sda5 is a swap partition; skipping
Apr 22 06:22:13 ubuntu os-prober: debug: os detected by /usr/lib/os-probes/50mounted-tests
Apr 22 06:22:13 ubuntu ubiquity[5395]: debconffilter_done: ubi-timezone (current: ubi-timezone)
Apr 22 06:22:13 ubuntu ubiquity[5395]: Step_before = stepLocation
Apr 22 06:22:14 ubuntu ubiquity[5395]: log-output -t ubiquity setxkbmap -model pc105 -layout us -option
Apr 22 06:22:14 ubuntu ubiquity[5395]: switched to page console_setup
Apr 22 06:22:21 ubuntu ubiquity[5395]: Exception in GTK frontend (invoking crash handler):
Apr 22 06:22:21 ubuntu ubiquity[5395]: Traceback (most recent call last):
Apr 22 06:22:21 ubuntu ubiquity[5395]: File "/usr/lib/ubiquity/ubiquity/frontend/gtk_components/keyboard_query.py", line 100, in key_press_event
Apr 22 06:22:21 ubuntu ubiquity[5395]: r = self.keyboard_detect.read_step(c)
Apr 22 06:22:21 ubuntu ubiquity[5395]: File "/usr/lib/ubiquity/ubiquity/keyboard_detector.py", line 96, in read_step
Apr 22 06:22:21 ubuntu ubiquity[5395]: raise Exception
Apr 22 06:22:21 ubuntu ubiquity[5395]: Exception
Apr 22 06:22:21 ubuntu ubiquity[5395]:
Apr 22 06:22:49 ubuntu ubiquity: debconf: DbDriver "targetdb": could not open /target/var/cache/debconf/config.dat
Apr 22 06:22:49 ubuntu ubiquity[5395]: log-output -t ubiquity debconf-copydb configdb targetdb -p ^console-setup/ --config=Name:targetdb --config=Driver:File --config=Filename:/target/var/cache/debconf/config.dat
Apr 22 06:22:49 ubuntu ubiquity: debconf: DbDriver "targetdb": coul...

Read more...

Bernard Decock (decockbernard) wrote :
Download full text (8.0 KiB)

1. Try ubuntu
2. Change line 35 in /usr/lib/ubiquity/....
3. Install ubuntu - forward -forward
4. guess and then enter + => crash occurs after a few seconds
(same debug-info as before)

user.log

Apr 22 06:51:25 ubuntu ubiquity[3929]: debconffilter_done: ubi-timezone (current: ubi-timezone)
Apr 22 06:51:25 ubuntu ubiquity[3929]: Step_before = stepLocation
Apr 22 06:51:26 ubuntu ubiquity[3929]: log-output -t ubiquity setxkbmap -model pc105 -layout us -option
Apr 22 06:51:26 ubuntu ubiquity[3929]: switched to page console_setup
Apr 22 06:51:35 ubuntu ubiquity[3929]: Exception in GTK frontend (invoking crash handler):
Apr 22 06:51:35 ubuntu ubiquity[3929]: Traceback (most recent call last):
Apr 22 06:51:35 ubuntu ubiquity[3929]: File "/usr/lib/ubiquity/ubiquity/frontend/gtk_components/keyboard_query.py", line 100, in key_press_event
Apr 22 06:51:35 ubuntu ubiquity[3929]: r = self.keyboard_detect.read_step(c)
Apr 22 06:51:35 ubuntu ubiquity[3929]: File "/usr/lib/ubiquity/ubiquity/keyboard_detector.py", line 96, in read_step
Apr 22 06:51:35 ubuntu ubiquity[3929]: raise Exception
Apr 22 06:51:35 ubuntu ubiquity[3929]: Exception
Apr 22 06:51:35 ubuntu ubiquity[3929]:
Apr 22 06:51:56 ubuntu ubiquity: debconf: DbDriver "targetdb": could not open /target/var/cache/debconf/config.dat
Apr 22 06:51:56 ubuntu ubiquity[3929]: log-output -t ubiquity debconf-copydb configdb targetdb -p ^console-setup/ --config=Name:targetdb --config=Driver:File --config=Filename:/target/var/cache/debconf/config.dat
Apr 22 06:51:56 ubuntu ubiquity: debconf: DbDriver "targetdb": could not open /target/var/cache/debconf/config.dat
Apr 22 06:51:56 ubuntu ubiquity[3929]: log-output -t ubiquity debconf-copydb configdb targetdb -p ^oem-config/ --config=Name:targetdb --config=Driver:File --config=Filename:/target/var/cache/debconf/config.dat

/var/log/installer/....

Ubiquity 2.2.20
/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py:562: GtkWarning: gtk_window_resize: assertion `width > 0' failed
  widget.resize(w, h)
Your console font configuration will be updated the next time your system
boots. If you want to update it now, run 'setupcon' from a virtual console.
update-initramfs is disabled since running on read-only media
Ubiquity 2.2.20
/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py:562: GtkWarning: gtk_window_resize: assertion `width > 0' failed
  widget.resize(w, h)
0 STEP 0

0 PRESS +

0 PRESS у

0 PRESS υ

0 PRESS г

0 PRESS n

0 PRESS γ

0 PRESS u

0 PRESS ה

0 PRESS v

0 PRESS y

0 PRESS ν

0 CODE 2 1

0 CODE 4 6

0 CODE 5 9

0 CODE 12 10

0 CODE 13 19

0 CODE 17 7

0 CODE 18 38

0 CODE 20 61

0 CODE 21 62

0 CODE 22 95

0 CODE 23 103

0 CODE 26 74

0 CODE 27 104

0 CODE 30 103

0 CODE 33 61

0 CODE 34 108

0 CODE 35 7

0 CODE 38 61

0 CODE 39 103

0 CODE 41 103

0 CODE 43 77

0 CODE 44 97

0 CODE 46 103

0 CODE 47 95

0 CODE 49 95

0 CODE 52 61

0 CODE 53 79

0 STEP 1

79 PRESS z

79 CODE 44 2

79 CODE 21 3

79 STEP 3

79 PRESS é

79 CODE 11 4

79 CODE 39 5

79 STEP 6

79 PRESS z

79 CODE 44 7

79 CODE 21 8

79 STEP 10

79 FINDP å

79 YES 12

79 NO 11

79 STEP 12

79 FINDP ä

79 YES 16

79 NO 13

79 STEP 19

79 PRESS q

79 CODE 16 20

79 CODE 30 56

79 STEP 20

79...

Read more...

Evan (ev) on 2010-04-22
Changed in ubiquity (Ubuntu):
assignee: nobody → Evan Dandrea (ev)
importance: Undecided → High
status: Incomplete → Triaged
Evan (ev) wrote :

Bernard,

I've fixed this in trunk. It should make it into the final 10.04 release. Thanks for providing those logs, they were very helpful in getting to the bottom of this.

Changed in ubiquity (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.2.21

---------------
ubiquity (2.2.21) lucid; urgency=low

  [ Evan Dandrea ]
  * Honor user-setup/force-encrypt-home (LP: #566552).
  * Check for LTS in the release name (LP: #558488).
  * Hide the keyboard query dialog when we encounter an error parsing
    the keymap decision tree (LP: #553087).
  * Fix broken comparisons against boolean debconf values (LP: #567749).
  * Return with the correct state value when a keyboard map is found
    (LP: #553087).
  * Update translations from Launchpad.
  * Automatic update of included source packages: debian-installer-utils
    1.72ubuntu5, partman-auto 89ubuntu7, partman-base 139ubuntu6,
    partman-target 64ubuntu9, tzsetup 1:0.26ubuntu9, user-setup
    1.28ubuntu7.

  [ Colin Watson ]
  * Handle new partman/confirm_nooverwrite question properly (LP: #556373).

  [ Mario Limonciello ]
  * In OEM user config, don't change the last page's button to "Install"
    to avoid confusion.
 -- Evan Dandrea <email address hidden> Fri, 23 Apr 2010 09:32:43 +0100

Changed in ubiquity (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers